import { services, hotelRoom, blogs, clientReview } from "./dataProvider.js";

// navigation controller
const toggleBtn = document.getElementById("toggle-btn");
const navigation = document.getElementById("navigation-ul");

toggleBtn.onclick = () => {
  navigation.classList.toggle("active");
};

// dynamic input generate for booking form
for (let i = 1; i <= 10; i++) {
  const adultOption = document.getElementById("adult__option");
  const childOption = document.getElementById("child__option");

  const optionAdult = document.createElement("option");
  const optionChild = document.createElement("option");

  optionAdult.setAttribute("value", i);
  optionAdult.textContent = i;

  optionChild.setAttribute("value", i);
  optionChild.textContent = i;

  adultOption.appendChild(optionAdult);
  childOption.appendChild(optionChild);
}

//! function for booking form position change dynamicly
const bookingForm = document.getElementById("booking-form");
const banner = document.getElementById("banner");
const defaultParent = bookingForm.parentNode;

function moveForm() {
  if (window.innerWidth > 1023) {
    banner.appendChild(bookingForm);
  } else {
    defaultParent.appendChild(bookingForm);
  }
}

// Initial check
moveForm();

// Listen for window resize events
window.addEventListener("resize", moveForm);

//! dynamic service generate

for (let i = 0; i < services.length; i++) {
  const serviceCard = document.querySelector(".service__card");

  const card = document.createElement("div");
  card.className = "card";

  const cardImg = document.createElement("img");
  const cardTitle = document.createElement("h3");
  const cardDetail = document.createElement("p");
  const cardBtn = document.createElement("a");

  cardImg.setAttribute("src", services[i].image);
  cardTitle.textContent = services[i].title;
  cardDetail.textContent = services[i].detail;
  cardBtn.textContent = services[i].buttonText;
  cardBtn.setAttribute("href", "#");

  card.appendChild(cardImg);
  card.appendChild(cardTitle);
  card.appendChild(cardDetail);
  card.appendChild(cardBtn);

  // Append card to serviceCard container
  serviceCard.appendChild(card);
}

// ! dynamic hotel rooms generate
for (let i = 0; i < hotelRoom.length; i++) {
  const hotelRoomCard = document.querySelector(".hotel__room__card");
  const roomCard = document.createElement("div");
  const cardContent = document.createElement("div");

  roomCard.className = "roomCard";
  cardContent.className = "card__content";

  const roomImg = document.createElement("img");
  const roomTitle = document.createElement("h3");
  const capacity = document.createElement("span");
  const size = document.createElement("span");
  const price = document.createElement("span");
  const bed = document.createElement("span");

  roomImg.setAttribute("src", hotelRoom[i].image);
  roomTitle.textContent = hotelRoom[i].roomTitle;
  capacity.textContent = `CAPACITY: ${hotelRoom[i].capacity}`;
  size.textContent = `ROOM SIZE: ${hotelRoom[i].roomSize}`;
  price.textContent = `RENT: ${hotelRoom[i].price}`;
  bed.textContent = `BED: ${hotelRoom[i].bed}`;

  roomCard.appendChild(roomImg);
  cardContent.appendChild(roomTitle);
  cardContent.appendChild(capacity);
  cardContent.appendChild(size);
  cardContent.appendChild(price);
  cardContent.appendChild(bed);

  roomCard.appendChild(cardContent);
  hotelRoomCard.appendChild(roomCard);
}

//! dynamic blog generator


for (let i = 0; i < blogs.length; i++) {
  const blogContainer = document.querySelector(".blog__card__container");

  const blogCard = document.createElement("div");
  const cardBody = document.createElement("div");

  blogCard.className = "blog__card";
  cardBody.className = "blog__card__body";

  const image = document.createElement("img");
  const blogTitle = document.createElement("h3");
  const publishInfo = document.createElement("span");
  const blogDetail = document.createElement("p");
  const blogBtn = document.createElement("a");

  image.setAttribute("src", blogs[i].image);
  blogTitle.textContent = blogs[i].blogTitle;
  publishInfo.textContent = blogs[i].publishInfo;
  blogDetail.textContent = blogs[i].detail;
  blogBtn.setAttribute("href", "#");
  blogBtn.textContent = "read more";

  cardBody.appendChild(blogTitle);
  cardBody.appendChild(publishInfo);
  cardBody.appendChild(blogDetail);
  cardBody.appendChild(blogBtn);

  blogCard.appendChild(image);
  blogCard.appendChild(cardBody);

  blogContainer.appendChild(blogCard);
}

//! dynamic testimonial
console.log(clientReview);
for (let i = 0; i < clientReview.length; i++) {
  const swiper = document.querySelector(".swiper-wrapper");

  const slider = document.createElement("div");
  slider.className = "slider swiper-slide";

  const clientImg = document.createElement("img");
  const clientName = document.createElement("h3");
  const profession = document.createElement("span");
  const review = document.createElement("p");

  clientImg.setAttribute("src", clientReview[i].image);
  clientName.textContent = clientReview[i].clientName;
  profession.textContent = clientReview[i].profession;
  review.textContent = clientReview[i].review;

  slider.appendChild(clientImg);
  slider.appendChild(clientName);
  slider.appendChild(profession);
  slider.appendChild(review);

  swiper.appendChild(slider);
}

let swiper = new Swiper(".testimonial__content", {
  loop: true,
  spaceBetween: 30,
  grabCursor: true,
  loop: true,
  autoplay: {
    delay: 3000,
    disableOnInteraction: true,
  },
  pagination: {
    el: ".swiper-pagination",
    clickable: true,
    dynamicBullets: true,
  },

  navigation: {
    nextEl: ".swiper-button-next",
    prevEl: ".swiper-button-prev",
  },

  breakpoints: {
    700: {
      slidesPerView: 2,
    },
    1120: {
      slidesPerView: 3,
    },
  },
});